{{ define "main" }}
<section id="main">
  <title>
    {{ block "title" . }}
        {{ .Title }}
    {{ end }}
  </title>
  <h1 id="title">{{ .Title }}</h1>
  <div class="parameters">
    <div class="parameter">
      <div class="cal-date">
      <i class="far fa-calendar-alt"></i>
      {{ dateFormat "2006-01-02" .Date }}
      </div>
    </div>

    <div class="parameter">
      {{ with .Params.categories }}
      <div class="cat-links">
        <a href="{{ $.Site.Home.RelPermalink }}/categories/"><i class="far fa-folder"></i></a>
        {{ range . }}<a class="categories" href="{{ $.Site.Home.RelPermalink }}/categories/{{ . | urlize | lower }}/">{{ . }} </a>{{ end }}
      </div>
      {{ end}}
    </div>

    <div class="parameter">
      {{ with .Params.tags }}
      <div class="tag-links">
        <a href="{{ $.Site.Home.RelPermalink }}/tags/"><i class="fas fa-tags"></i></a>
        {{ range . }}<a class="tags" href="{{ $.Site.Home.RelPermalink }}/tags/{{ . | urlize | lower }}/">{{ . }} </a>{{ end }}
      </div>
      {{ end }}
    </div>
  </div>

  <div>
        <article id="content">
           {{ .Content }}
        </article>
  </div>
</section>
<aside id="meta">
    <!-- .NextInSection and .PrevInSection works opposite... -->
    {{ with .NextInSection }}
    <div class="next-section">
          <i class="fas fa-arrow-left"></i>
          <div class="article-link">
            <a class="next" href="{{.Permalink}}"></a>
            <div class="at-div">
              <span>Previous:</span>
              <div class="article-title">{{.Title}}</div>
            </div>
          </div>
    </div>
    {{ end }}
    {{ with .PrevInSection }}
    <div class="next-section">
          <div class="article-link">
            <a class="previous" href="{{.Permalink}}"></a>
            <div class="at-div">
              <span>Next:</span>
              <div class="article-title">{{.Title}}</div>
            </div>
          </div>
          <i class="fas fa-arrow-right"></i>
    </div>
    {{ end }}
</aside>
{{ end }}